## org.jfree.data
Interface RangeInfo

All Known Implementing Classes:
  DefaultBoxAndWhiskerCategoryDataset, DefaultBoxAndWhiskerXYDataset, DefaultStatisticalCategoryDataset, DynamicTimeSeriesCollection, JDBCXYDataset

    public interface RangeInfo

An interface (optional) that can be implemented by a dataset to assist in determining the minimum and maximum values. See also `DomainInfo`.

Method Summary
`Range` `getRangeBounds(boolean includeInterval)` Returns the range of the values in this dataset's range.
`double` `getRangeLowerBound(boolean includeInterval)` Returns the minimum y-value in the dataset.
`double` `getRangeUpperBound(boolean includeInterval)` Returns the maximum y-value in the dataset.

Method Detail

### getRangeLowerBound

    double getRangeLowerBound(boolean includeInterval)

  Returns the minimum y-value in the dataset.

  Parameters:
    `includeInterval` - a flag that determines whether or not the y-interval is taken into account.
  Returns:
    The minimum value.

### getRangeUpperBound

    double getRangeUpperBound(boolean includeInterval)

  Returns the maximum y-value in the dataset.

  Parameters:
    `includeInterval` - a flag that determines whether or not the y-interval is taken into account.
  Returns:
    The maximum value.

### getRangeBounds

    Range getRangeBounds(boolean includeInterval)

  Returns the range of the values in this dataset's range.

  Parameters:
    `includeInterval` - a flag that determines whether or not the y-interval is taken into account.
  Returns:
    The range.